## frozenlist 1.8.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/frozenlist.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/frozenlist.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/frozenlist"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/frozenlist"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

spelling:
	$(SPHINXBUILD) -b spelling $(ALLSPHINXOPTS) $(BUILDDIR)/spelling
	@echo
	@echo "Build finished."

## frozenlist 1.2.0

=== debian/changelog ===
frozenlist (1.2.0-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 22:37:50 +0000

frozenlist (1.2.0-1) unstable; urgency=low

  * Initial release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 28 Nov 2021 15:33:33 +0000

=== debian/control ===
Source: frozenlist
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper-compat (= 13), dh-python,
               cython3,
               python3-all-dev,
               python3-setuptools,
               python3-sphinx,
Standards-Version: 4.6.0
Homepage: https://github.com/aio-libs/frozenlist
Vcs-Git: https://salsa.debian.org/python-team/packages/frozenlist.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/frozenlist

Package: python3-frozenlist
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: list-like structure which implements collections.abc.MutableSequence
 `frozenlist.FrozenList` is a list-like structure which implements
 `collections.abc.MutableSequence`. The list is mutable until `FrozenList.freeze`
 is called, after which list modifications raise `RuntimeError`:
 .
  >>> from frozenlist import FrozenList
  >>> fl = FrozenList([17, 42])
  >>> fl.append('spam')
  >>> fl.append('Vikings')
  >>> fl
  <FrozenList(frozen=False, [17, 42, 'spam', 'Vikings'])>
  >>> fl.freeze()
  >>> fl
  <FrozenList(frozen=True, [17, 42, 'spam', 'Vikings'])>
  >>> fl.frozen
  True
  >>> fl.append("Monty")
  Traceback (most recent call last):
   File "<stdin>", line 1, in <module>
   File "frozenlist/_frozenlist.pyx", line 97, in frozenlist._frozenlist.FrozenList.append
     self._check_frozen()
   File "frozenlist/_frozenlist.pyx", line 19, in frozenlist._frozenlist.FrozenList._check_frozen
     raise RuntimeError("Cannot modify frozen list.")
   RuntimeError: Cannot modify frozen list.
 .
 FrozenList is also hashable, but only when frozen. Otherwise it also throws a RuntimeError:
 .
  >>> fl = FrozenList([17, 42, 'spam'])
  >>> hash(fl)
  Traceback (most recent call last):
   File "<stdin>", line 1, in <module>
   File "frozenlist/_frozenlist.pyx", line 111, in frozenlist._frozenlist.FrozenList.__hash__
     raise RuntimeError("Cannot hash unfrozen list.")
   RuntimeError: Cannot hash unfrozen list.
  >>> fl.freeze()
  >>> hash(fl)
  3713081631934410656
  >>> dictionary = {fl: 'Vikings'} # frozen fl can be a dict key
  >>> dictionary
  {<FrozenList(frozen=True, [1, 2])>: 'Vikings'}

## frozenlist 1.3.3

=== debian/changelog ===
frozenlist (1.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Fixes FTBFS with Python 3.11. (Closes: #1024013)
  * Run unit tests.
    - Build-depend on python3-pytest.
  * Build using the pyproject pybuild plugin.

 -- Felix Geyer <fgeyer@debian.org>  Mon, 14 Nov 2022 18:35:08 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,9 @@
 Uploaders: Piotr Ożarowski <piotr@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-python,
                cython3,
+               pybuild-plugin-pyproject,
                python3-all-dev,
+               python3-pytest,
                python3-setuptools,
                python3-sphinx,
 Standards-Version: 4.6.0

## frozenlist 1.4.0

=== debian/changelog ===
frozenlist (1.4.0-1build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 18:38:23 +0000

frozenlist (1.4.0-1build1) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Nov 2023 09:20:17 +0100

frozenlist (1.4.0-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 21 Jul 2023 14:07:00 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python3-pytest,
                python3-setuptools,
                python3-sphinx,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/aio-libs/frozenlist
 Vcs-Git: https://salsa.debian.org/python-team/packages/frozenlist.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/frozenlist

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=frozenlist
%:
	#dh $@ --with python3,sphinxdoc --buildsystem=pybuild
	dh $@ --with python3 --buildsystem=pybuild

#override_dh_auto_build-indep:
#	dh_auto_build -i
#ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
#	cd docs && \
#	PYTHONPATH=$(CURDIR) http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
#	sphinx-build -N -E -T -b html . $(CURDIR)/.pybuild/docs/html/
#	rm -rf $(CURDIR)/.pybuild/docs/html/.doctrees
#endif

## frozenlist 1.4.1

=== debian/changelog ===
frozenlist (1.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add Testsuite: autopkgtest-pkg-pybuild.

 -- Colin Watson <cjwatson@debian.org>  Sun, 21 Jul 2024 19:49:58 +0100

## frozenlist 1.5.0

=== debian/changelog ===
frozenlist (1.5.0-1build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 17:18:29 +0000

frozenlist (1.5.0-1build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 19:29:52 +0100

frozenlist (1.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Support Python 3.13 (closes: #1081554).

 -- Colin Watson <cjwatson@debian.org>  Fri, 25 Oct 2024 10:59:00 +0100

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,16 @@
                cython3,
                pybuild-plugin-pyproject,
                python3-all-dev,
+               python3-expandvars,
                python3-pytest,
+               python3-pytest-cov,
                python3-setuptools,
                python3-sphinx,
 Standards-Version: 4.6.2
 Homepage: https://github.com/aio-libs/frozenlist
 Vcs-Git: https://salsa.debian.org/python-team/packages/frozenlist.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/frozenlist
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-frozenlist
 Architecture: any

## frozenlist 1.6.0

=== debian/changelog ===
frozenlist (1.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 05 May 2025 11:11:36 +0100

## frozenlist 1.7.0

=== debian/changelog ===
frozenlist (1.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use dh-sequence-python3.

 -- Colin Watson <cjwatson@debian.org>  Tue, 12 Aug 2025 12:58:28 +0100

## frozenlist 1.8.0

=== debian/changelog ===
frozenlist (1.8.0-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 21 Oct 2025 12:48:05 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Piotr Ożarowski <piotr@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-python,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
                cython3,
                pybuild-plugin-pyproject,
                python3-all-dev,

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 export PYBUILD_NAME=frozenlist
 %:
-	#dh $@ --with python3,sphinxdoc --buildsystem=pybuild
-	dh $@ --with python3 --buildsystem=pybuild
+	#dh $@ --with sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 #override_dh_auto_build-indep:
 #	dh_auto_build -i

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/frozenlist/frozenlist-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
